import { OnChanges, OnInit, AfterViewInit, EventEmitter, SimpleChange } from "@angular/core";
import { INSCalendarSetting } from "./interfaces";
import { NSBaseComponent } from "../ns-base";
import * as i0 from "@angular/core";
declare var NSCalendar: any;
export interface INSCalendarAngularSetting extends INSCalendarSetting {
    setting?: INSCalendarSetting;
    [propName: string]: any;
}
export declare class NSCalendarAngular extends NSBaseComponent<typeof NSCalendar> implements OnChanges, OnInit, AfterViewInit {
    setting: INSCalendarAngularSetting;
    dateSelected: EventEmitter<any>;
    constructor();
    ngOnChanges(changes: {
        [propName: string]: SimpleChange;
    }): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getSelectedDate(): any;
    getSelectedDateAsString(format: string): any;
    setSelectedDate(date: any, format: string): void;
    setYear(year: number): void;
    setMonth(month: number): void;
    reset(): void;
    setTodayDate(): void;
    setStyle(styleProp: string, value: any): void;
    setFocus(isFocus: boolean): void;
    hasFocus(): boolean;
    setTheme(theme: string): void;
    changeProperty(propertyName: string, value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NSCalendarAngular, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NSCalendarAngular, "ns-calendar-angular", never, { "setting": { "alias": "setting"; "required": false; }; }, { "dateSelected": "dateSelected"; }, never, never, false, never>;
}
export {};
